package com.ruoyi.caltools.model;

public class WaterDeepCalParams {
    public Double measuredTime;        // 测量的往返时间(s)
    public Double surfacePressure;     // 井口压力(Pa)
    public Double surfaceTemperature;  // 地表温度(K)
    public Double constantLayerDepth;  // 恒温层深度(m)
    public Double temperatureGradient; // 温度梯度(K/m)


    public  GasProps gasProps;

    public Double getMeasuredTime() {
        return measuredTime;
    }

    public void setMeasuredTime(Double measuredTime) {
        this.measuredTime = measuredTime;
    }

    public Double getSurfacePressure() {
        return surfacePressure;
    }

    public void setSurfacePressure(Double surfacePressure) {
        this.surfacePressure = surfacePressure;
    }

    public Double getSurfaceTemperature() {
        return surfaceTemperature;
    }

    public void setSurfaceTemperature(Double surfaceTemperature) {
        this.surfaceTemperature = surfaceTemperature;
    }

    public Double getConstantLayerDepth() {
        return constantLayerDepth;
    }

    public void setConstantLayerDepth(Double constantLayerDepth) {
        this.constantLayerDepth = constantLayerDepth;
    }

    public Double getTemperatureGradient() {
        return temperatureGradient;
    }

    public void setTemperatureGradient(Double temperatureGradient) {
        this.temperatureGradient = temperatureGradient;
    }

    public GasProps getGasProps() {
        return gasProps;
    }

    public void setGasProps(GasProps gasProps) {
        this.gasProps = gasProps;
    }

    public Integer getMaxIterations() {
        return maxIterations;
    }

    public void setMaxIterations(Integer maxIterations) {
        this.maxIterations = maxIterations;
    }

    public Double getTolerance() {
        return tolerance;
    }

    public void setTolerance(Double tolerance) {
        this.tolerance = tolerance;
    }

    public Integer maxIterations = 100;    // 最大迭代次数
    public Double tolerance = 0.001;       // 收敛容差(m)

}

